<?php
defined('TYPO3_MODE') || die('Access denied.');

call_user_func(
    function($extKey)
	{

        \TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
            'SchommerMedia.SmediaCourse',
            'Pi1',
            [
                'Course' => 'list'
            ],
            // non-cacheable actions
            [
                'Course' => 'list'
            ]
        );

	// wizards
	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
		'mod {
			wizards.newContentElement.wizardItems.plugins {
				elements {
					pi1 {
						iconIdentifier = backendIcon
						title = LLL:EXT:smedia_course/Resources/Private/Language/locallang_db.xlf:tx_smedia_course_domain_model_pi1
						description = LLL:EXT:smedia_course/Resources/Private/Language/locallang_db.xlf:tx_smedia_course_domain_model_pi1.description
						tt_content_defValues {
							CType = list
							list_type = smediacourse_pi1
						}
					}
				}
				show = *
			}
	   }'
	);
    },
    $_EXTKEY
);
