<?php
defined('TYPO3_MODE') || die('Access denied.');

$pluginName = 'Pi1'; // siehe \TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin
$pluginSignature = str_replace('_', '', $_EXTKEY) . '_' . strtolower($pluginName);
$GLOBALS['TCA']['tt_content']['types']['list']['subtypes_addlist'][$pluginSignature] = 'pi_flexform';
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPiFlexFormValue(
    $pluginSignature,
    'FILE:EXT:' . $_EXTKEY . '/Configuration/FlexForm/flexform.xml'
);

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::registerPlugin(
    'SchommerMedia.' . $_EXTKEY,
    $pluginName,
    'LEO4 Lehrgangsanzeige'
);

// Register SVG Icon

$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance('TYPO3\\CMS\\Core\\Imaging\\IconRegistry');

$iconRegistry->registerIcon(
    'backendIcon',
    'TYPO3\\CMS\\Core\\Imaging\\IconProvider\\SvgIconProvider',
    ['source' => 'EXT:smedia_course/Resources/Public/Icons/LEO_Logo.svg']
);


// CSH - context sensitive help

\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr(
    'tt_content.pi_flexform.smediacourse_pi1.list', 'EXT:smedia_course/Resources/Private/Language/locallang_csh_flexforms.xlf');
